Debian Bug report logs - #593261
RFP: wmi-client -- useful package for those interacting with windows machine

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: higuita <dleite@portoeditora.pt>

Date: Mon, 16 Aug 2010 18:39:05 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#593261; Package wmi-client. (Mon, 16 Aug 2010 18:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to higuita <dleite@portoeditora.pt>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Mon, 16 Aug 2010 18:39:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: higuita <dleite@portoeditora.pt>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: re-add wmi-client package
Date: Mon, 16 Aug 2010 19:00:33 +0100
Package: wmi-client
Severity: wishlist

Per bug 523638 ( http://bugs.debian.org/523638 ), wmi-cli was removed, but its
a useful package for those interacting with windows machine. My main use is for
backuppc backing up windows machines with shadow copy.

As there is still no samba4 package in debian and the upstream finally
release the winexe as GPL3 and seens to be trying to resync with
main samba4, maybe debian could re-add this package.

I just compiled the package and seems to work and many people would be
glad to be able to use this without compiling or using the ancient
static build that starts to give problems with new windows versions.
(compiled version works fine)

From:
http://winexe.git.sourceforge.net/git/gitweb.cgi?p=winexe/winexe;a=commit;h=2cfe0997688065250e8659633ad1e33ee832bde0


author  Andrzej Hajda <ahajda@users.sourceforge.net>
         Tue, 15 Sep 2009 20:48:33 +0000 (22:48 +0200)
committer       Andrzej Hajda <ahajda@users.sourceforge.net>
         Sun, 20 Dec 2009 16:27:57 +0000 (17:27 +0100)
commit  2cfe0997688065250e8659633ad1e33ee832bde0
tree    3baca65d5f489b84df66f0d3dcc9ce1c238a228e
parent  86bfb3c49f34878abc69871d1a9bdcc7f3ea6d1f

Changed license to GPLv3



Thanks to all and happy Debian Appreciation Day
http://thank.debian.net/  :)



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (10, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=pt_PT.UTF-8, LC_CTYPE=pt_PT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'wmi-client' to 'wnpp'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Wed, 18 Aug 2010 08:06:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: wmi-client' from 're-add wmi-client package' Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Wed, 18 Aug 2010 08:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#593261; Package wnpp. (Wed, 18 Aug 2010 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 18 Aug 2010 09:15:03 GMT) Full text and rfc822 format available.

Message #14 received at 593261@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: higuita <dleite@portoeditora.pt>, 593261@bugs.debian.org
Subject: Re: Bug#593261: re-add wmi-client package
Date: Wed, 18 Aug 2010 11:14:00 +0200
On 08/16/2010 08:00 PM, higuita wrote:
> Package: wmi-client
> Severity: wishlist
> 
> Per bug 523638 ( http://bugs.debian.org/523638 ), wmi-cli was removed, but its
> a useful package for those interacting with windows machine. My main use is for
> backuppc backing up windows machines with shadow copy.
> 
> As there is still no samba4 package in debian and the upstream finally
> release the winexe as GPL3 and seens to be trying to resync with
> main samba4, maybe debian could re-add this package.
> 
> I just compiled the package and seems to work and many people would be
> glad to be able to use this without compiling or using the ancient
> static build that starts to give problems with new windows versions.
> (compiled version works fine)
> 
> From:
> http://winexe.git.sourceforge.net/git/gitweb.cgi?p=winexe/winexe;a=commit;h=2cfe0997688065250e8659633ad1e33ee832bde0

Ah that is interesting - didn't know there was a repo on sf.net.
The wmi package was actually the source from zenoss.com, which ships with python
bindings and other stuff which is not included on the sf.net page. I'm still
waiting for the Zenoss guys to switch to GPL-3...

But still, to be able to maintain it properly in the future we would need a
patch which applies properly on top of the current samba4 version, not something
based on an old checkout. I don't really have the time to rebase Andrzej's
patches, but I can talk to one of the Samba upstream developers and ask him to
integrate that code into Samba4, that would be the best idea anyway.

So fixing this will take some time unfortunately- unless somebody else helps out
and keeps porting the winexe patch to recent Samba4 versions, or better, make it
build with samba4-dev.

Cheers,

Bernd
-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: 06C8 C9A2 EAAD E37E 5B2C BE93 067A AD04 C93B FF79
                   ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#593261; Package wnpp. (Wed, 18 Aug 2010 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 18 Aug 2010 16:15:03 GMT) Full text and rfc822 format available.

Message #19 received at 593261@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@debian.org>
To: higuita <dleite@portoeditora.pt>, 593261@bugs.debian.org
Cc: pkg-samba-maint@lists.alioth.debian.org
Subject: Re: [Pkg-samba-maint] Bug#593261: re-add wmi-client package
Date: Wed, 18 Aug 2010 18:11:08 +0200
[Message part 1 (text/plain, inline)]
On Mon, 2010-08-16 at 19:00 +0100, higuita wrote: 
> Per bug 523638 ( http://bugs.debian.org/523638 ), wmi-cli was removed, but its
> a useful package for those interacting with windows machine. My main use is for
> backuppc backing up windows machines with shadow copy.
> 
> As there is still no samba4 package in debian and the upstream finally
> release the winexe as GPL3 and seens to be trying to resync with
> main samba4, maybe debian could re-add this package.
There is a Samba 4 package in Debian, see
http://packages.debian.org/samba4. Given its nature, it's just in
experimental at the moment - I hope to get it into Sid after Squeeze.
However, current Samba 4 does not support WMI again yet. 

Please note that wmi-client is different from winexe. Upstream for
wmi-client is Zenoss, and as far as I know they have not released their
changes under the GPLv3. winexe is basically a fork of a very out-dated
version Samba 4. It doesn't have anything to do with WMI as far as I can
tell from looking at the source code.

Cheers,

Jelmer 
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'RFP: wmi-client -- useful package for those interacting with windows machine' from 'RFP: wmi-client' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Thu, 10 Feb 2011 21:27:05 GMT) Full text and rfc822 format available.

Message sent on to higuita <dleite@portoeditora.pt>:
Bug#593261. (Wed, 01 Jun 2011 14:15:04 GMT) Full text and rfc822 format available.

Message #24 received at 593261-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: 593261-submitter@bugs.debian.org
Cc: Jelmer Vernooij <jelmer@debian.org>
Subject: Re: re-add wmi-client package
Date: Wed, 01 Jun 2011 16:11:10 +0200
Jelmer wrote:
> Please note that wmi-client is different from winexe. Upstream for
> wmi-client is Zenoss, and as far as I know they have not released their
> changes under the GPLv3. winexe is basically a fork of a very out-dated
> version Samba 4. It doesn't have anything to do with WMI as far as I can
> tell from looking at the source code.


At http://dev.zenoss.org/svn/trunk/wmi/Samba/source/winexe/
there is an old (dated 2006) version of the winexe program.  License GPL2.

The version at git://winexe.git.sourceforge.net/gitroot/winexe/winexe
(bearing the date 2009) is slightly different.  License GPL3.
-- 
Thomas Hood




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#593261; Package wnpp. (Wed, 01 Jun 2011 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 Jun 2011 14:24:03 GMT) Full text and rfc822 format available.

Message #29 received at 593261@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@debian.org>
To: Thomas Hood <jdthood@gmail.com>
Cc: 593261-submitter@bugs.debian.org, 593261@bugs.debian.org
Subject: Re: re-add wmi-client package
Date: Wed, 01 Jun 2011 15:21:21 +0100
[Message part 1 (text/plain, inline)]
Hi Thomas,

On Wed, 2011-06-01 at 16:11 +0200, Thomas Hood wrote:
> Jelmer wrote:
> > Please note that wmi-client is different from winexe. Upstream for
> > wmi-client is Zenoss, and as far as I know they have not released their
> > changes under the GPLv3. winexe is basically a fork of a very out-dated
> > version Samba 4. It doesn't have anything to do with WMI as far as I can
> > tell from looking at the source code.
> 
> 
> At http://dev.zenoss.org/svn/trunk/wmi/Samba/source/winexe/
> there is an old (dated 2006) version of the winexe program.  License GPL2.

> The version at git://winexe.git.sourceforge.net/gitroot/winexe/winexe
> (bearing the date 2009) is slightly different.  License GPL3.

This code doesn't have anything to do with wmi - it uses the svcctl
DCE/RPC interface (not WMI) to start an executable on the remote
machine. Merging it won't help with WMI support.

Cheers,

jelmer
[signature.asc (application/pgp-signature, inline)]

Message sent on to higuita <dleite@portoeditora.pt>:
Bug#593261. (Wed, 01 Jun 2011 14:24:05 GMT) Full text and rfc822 format available.

Information stored :
Bug#593261; Package wnpp. (Wed, 01 Jun 2011 17:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leite <dleite@portoeditora.pt>:
Extra info received and filed, but not forwarded. (Wed, 01 Jun 2011 17:39:09 GMT) Full text and rfc822 format available.

Message #37 received at 593261-quiet@bugs.debian.org (full text, mbox):

From: Daniel Leite <dleite@portoeditora.pt>
To: Thomas Hood <jdthood@gmail.com>
Cc: Jelmer Vernooij <jelmer@debian.org>, <593261-quiet@bugs.debian.org>
Subject: Re: Bug#593261: re-add wmi-client package
Date: Wed, 1 Jun 2011 18:29:46 +0100
hi 
> > > Please note that wmi-client is different from winexe. Upstream for
> > The version at git://winexe.git.sourceforge.net/gitroot/winexe/winexe
> This code doesn't have anything to do with wmi - it uses the svcctl
> DCE/RPC interface (not WMI) to start an executable on the remote
> machine. Merging it won't help with WMI support.

	But the problem is that we dont have wmi-client in debian and
also don't have winexe, so we don't have any way to interact with a window
machine remotely.

	Right now, its a mess, i and many people on debian must rely 
on hand compiled packaged, that can break any day with the debian 
updated/upgrades and forces the user to search thru many the dead pages
and links to find a pre-build package (that the last time i tried, 
they don't work anymore in recent distros) or the source and compile 
(if the user knows how).

	The full wmi-client is useful, but most people can survive with 
just the winexe and a few scripts on the windows side (using the WMIC 
client ) for those needing WMI. Winexe is GPLv3 and can be included in
debian without any problem.

	Samba4 is the final target, but i still didnt understand if they 
have included the winexe patch or not... until its released, the external
winexe is what most people require.

	Maybe what is needed is forgetting the wmi-client and create a
new package with the winexe. If the wmi-client change the license, we can
drop the winexe and re-add the wmi-client.

	When samba4 is released, the winexe package should be checked and
will be probably removed (or start using to the samba4 code) if already
included the winexe functionality.

	So my suggestion is to package the winexe from sf.net, its the
best package we have (it works and have the right license) to solve
the main issue here.

higuita




Information stored :
Bug#593261; Package wnpp. (Wed, 01 Jun 2011 18:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 01 Jun 2011 18:00:07 GMT) Full text and rfc822 format available.

Message #42 received at 593261-quiet@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@debian.org>
To: Daniel Leite <dleite@portoeditora.pt>
Cc: Thomas Hood <jdthood@gmail.com>, 593261-quiet@bugs.debian.org
Subject: Re: Bug#593261: re-add wmi-client package
Date: Wed, 01 Jun 2011 18:58:21 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Wed, 2011-06-01 at 18:29 +0100, Daniel Leite wrote:
> > > > Please note that wmi-client is different from winexe. Upstream for
> > > The version at git://winexe.git.sourceforge.net/gitroot/winexe/winexe
> > This code doesn't have anything to do with wmi - it uses the svcctl
> > DCE/RPC interface (not WMI) to start an executable on the remote
> > machine. Merging it won't help with WMI support.
> 
> 	But the problem is that we dont have wmi-client in debian and
> also don't have winexe, so we don't have any way to interact with a window
> machine remotely.
That's a different bug - WMI is a lot more than being able to run
executables remotely.

That said, winexe as is is not usable as-is. It is based on a 2009
version of Samba 4, which has evolved significantly since. It also
includes a Windows binary which we can't compile on Debian as far as I
can tell. 

winexe was developed as a fork of Samba 4 (and it's a gross hack), but
it should be possible to compile it as a standalone application, which
simply links against the Samba 4 libraries to use svcctl. 

Alternatively, somebody could update it to work against current Samba 4,
and clean up the source code and we can consider it for inclusion
upstream or in the Debian package (though I'd be hesitant about shipping
something like this in the package that's not meant to go upstream).

> 	Right now, its a mess, i and many people on debian must rely 
> on hand compiled packaged, that can break any day with the debian 
> updated/upgrades and forces the user to search thru many the dead pages
> and links to find a pre-build package (that the last time i tried, 
> they don't work anymore in recent distros) or the source and compile 
> (if the user knows how).

> 	Samba4 is the final target, but i still didnt understand if they 
> have included the winexe patch or not... until its released, the external
> winexe is what most people require.
winexe was never submitted to samba 4 in a usable form - we haven't
heard from the developers in a couple of years.

> 	So my suggestion is to package the winexe from sf.net, its the
> best package we have (it works and have the right license) to solve
> the main issue here.
I would be concerned about shipping a package that's a fork of another
package in the archive and which has an upstream that appears to be
dead.

Cheers,

Jelmer
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#593261; Package wnpp. (Wed, 01 Jun 2011 19:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@gmail.com>:
Extra info received and filed, but not forwarded. (Wed, 01 Jun 2011 19:15:09 GMT) Full text and rfc822 format available.

Message #47 received at 593261-quiet@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: Jelmer Vernooij <jelmer@debian.org>
Cc: Daniel Leite <dleite@portoeditora.pt>, 593261-quiet@bugs.debian.org
Subject: Re: Bug#593261: re-add wmi-client package
Date: Wed, 1 Jun 2011 21:12:48 +0200
Hi.

I agree with Daniel Leite that our lack of a program to execute
commands on Windows boxes is a serious lacuna.

Jelmer is quite right, however, that there are big problems with the
winexe source.

So, yes, someone should port the code to the current Samba 4.
(Any volunteers?)

One point to add, though.  Winexe's upstream is not dead: I know
someone who exchanged e-mail with Andrzej Hajda (about
winexe) just a couple days ago.

Admittedly, the last change in git is dated 19 Jul 2010.
-- 
Thomas




Message sent on to higuita <dleite@portoeditora.pt>:
Bug#593261. (Fri, 03 Jun 2011 14:06:06 GMT) Full text and rfc822 format available.

Message #50 received at 593261-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: 593261-submitter@bugs.debian.org
Cc: Bernd Zeimetz <bernd@bzed.de>, Jelmer Vernooij <jelmer@debian.org>, Daniel Leite <dleite@portoeditora.pt>
Subject: RFP submitted for winexe
Date: Fri, 03 Jun 2011 16:02:57 +0200
Jelmer wrote:
> This code doesn't have anything to do with wmi


Some confusion seems to have arisen from the fact that winexe
got included in Zenoss's WMI codebase and then in the wmi-client
package, leading some of us to want the wmi-client package back
so that we can have our winexe back.  Whereas winexe is really a
separate project.  As mentioned earlier, winexe has continue to
evolve since it was snapshotted by Zenoss.

Accordingly I have just submitted a separate RFP for winexe, #629100.

Winexe fans, please carry on the discussion over there.  :)
-- 
Thomas




Information stored :
Bug#593261; Package wnpp. (Fri, 03 Jun 2011 14:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@gmail.com>:
Extra info received and filed, but not forwarded. (Fri, 03 Jun 2011 14:39:05 GMT) Full text and rfc822 format available.

Message #55 received at 593261-quiet@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: 593261-quiet@bugs.debian.org
Subject: Info
Date: Fri, 03 Jun 2011 16:34:19 +0200
Information:

There is also an RFP for Zenoss proper, #361253

There is a Zenoss packaging project at Alioth: https://alioth.debian.org/projects/pkg-zenoss/

-- 
Thomas




Message sent on to higuita <dleite@portoeditora.pt>:
Bug#593261. (Sat, 25 Jun 2011 13:39:07 GMT) Full text and rfc822 format available.

Message #58 received at 593261-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: 629100@bugs.debian.org, 593261-submitter@bugs.debian.org
Cc: Daniel Leite <dleite@portoeditora.pt>
Subject: winexe debs
Date: Sat, 25 Jun 2011 15:38:14 +0200
For folks interested in winexe.

Winexe 1.00 debs for i386 and amd64 are available in my Launchpad PPA.

$ cat /etc/apt/sources.list.d/jdthood-winexe-natty.list
deb http://ppa.launchpad.net/jdthood/winexe/ubuntu natty main
deb-src http://ppa.launchpad.net/jdthood/winexe/ubuntu natty main

$ apt-cache madison winexe
    winexe | 1.00-0ppa9~natty | http://ppa.launchpad.net/jdthood/winexe/ubuntu/ natty/main i386 Packages
    winexe | 1.00-0ppa9~natty | http://ppa.launchpad.net/jdthood/winexe/ubuntu/ natty/main Sources

The winexe program included in these packages was tested on
Debian squeeze and seems to work fine.

I hope to release new versions of the package soon with,
to start with, a proper man page.  Help with improving the
package will be welcome.
-- 
Thomas Hood





Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:31:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.